curl --request GET \
--url https://api-{region}.sesametime.com/contract/v1/contracts/{employeeId} \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "c6bd9090-06ec-48e5-a3bc-22181cf0a6c9",
"startAt": "2021-12-13",
"endAt": "2022-12-13",
"startDate": "2021-12-13",
"endDate": "2022-12-13",
"comment": "",
"code": "",
"jobChargeId": "c6bd9090-06ec-48e5-a3bc-22181cf0a6c9",
"jobChargeName": "the name of the job charge",
"contractTypeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contractTypeName": "<string>",
"agreementId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agreementName": "<string>",
"degreeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"degreeName": "<string>",
"workDayTypeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workDayTypeName": "<string>",
"socialSecurityNumber": "<string>",
"trialPeriodType": "<string>",
"trialPeriodQuantity": 123,
"seniorityDate": "2022-12-13",
"percentageWorkDay": 123,
"weeklyHours": 123,
"cbo": "",
"remoteWork": true,
"jobLevelId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"jobLevelName": "<string>",
"jobPositionDescription": "<string>",
"maxLegalWeeklyHours": 123,
"maxLegalAnnualHours": 123,
"fte": 123,
"workDays": [
{
"day": "monday",
"hours": 8
}
]
}
],
"meta": {
"currentPage": 1,
"lastPage": 1,
"total": 1,
"perPage": 1
}
}curl --request GET \
--url https://api-{region}.sesametime.com/contract/v1/contracts/{employeeId} \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "c6bd9090-06ec-48e5-a3bc-22181cf0a6c9",
"startAt": "2021-12-13",
"endAt": "2022-12-13",
"startDate": "2021-12-13",
"endDate": "2022-12-13",
"comment": "",
"code": "",
"jobChargeId": "c6bd9090-06ec-48e5-a3bc-22181cf0a6c9",
"jobChargeName": "the name of the job charge",
"contractTypeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contractTypeName": "<string>",
"agreementId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agreementName": "<string>",
"degreeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"degreeName": "<string>",
"workDayTypeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workDayTypeName": "<string>",
"socialSecurityNumber": "<string>",
"trialPeriodType": "<string>",
"trialPeriodQuantity": 123,
"seniorityDate": "2022-12-13",
"percentageWorkDay": 123,
"weeklyHours": 123,
"cbo": "",
"remoteWork": true,
"jobLevelId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"jobLevelName": "<string>",
"jobPositionDescription": "<string>",
"maxLegalWeeklyHours": 123,
"maxLegalAnnualHours": 123,
"fte": 123,
"workDays": [
{
"day": "monday",
"hours": 8
}
]
}
],
"meta": {
"currentPage": 1,
"lastPage": 1,
"total": 1,
"perPage": 1
}
}API token obtained from Sesame HR Dashboard > Settings > Integrations > API
Employee ID
Suggestions